Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neuroph.contrib.imgrec
Enum ColorMode

    java.lang.Object
      java.lang.Enum<ColorMode>
          org.neuroph.contrib.imgrec.ColorMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ColorMode>

    public enum ColorMode

extends java.lang.Enum<ColorMode>

Represents the color modes for image recognition.

Enum Constant Summary
`BLACK_AND_WHITE`
`FULL_COLOR`

Method Summary
`static ColorMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ColorMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FULL_COLOR

    public static final ColorMode FULL_COLOR

### BLACK_AND_WHITE

    public static final ColorMode BLACK_AND_WHITE

Method Detail

### values

    public static ColorMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ColorMode c : ColorMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ColorMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD